2009年5月7日 星期四

Adobe Reader/ Adobe Acrobat 緩衝區溢位弱點

近日收到一封技術文件,才知道Acrobat有可能被植入惡意程式而導致無法執行。一些朋友的Acrobat無法開啟也許就是這個原因。

原文:http://www.adobe.com/support/security/advisories/apsa09-01.html

摘要:
===================
駭客利用Adobe Reader及Acrobat的重大弱點,在PDF文件中使用惡意的Javascript。當使用者開啟這類PDF文件時,可能於受攻擊成功後遭植入惡意程式,攻擊者將可控制受害系統執行任意惡意行為。在少數情況下,開啟該類惡意PDF檔案可能造成Adobe Reader/Adobe Acrobat程式出錯而無法正常執行,若於開啟某PDF檔時造成程式出錯,該PDF檔有可能是惡意PDF檔。 已經有一些單位已發現使用該弱點之惡意PDF文件,經由電子郵件進行攻擊。

目前Adobe尚未修補此弱點,建議使用者 參照以下建議措施停用Javascript功能,來防堵這類的攻擊手法。

建議措施:
1.點選編輯->偏好設定->JavaScript 將 「啟用Acrobat Javascript」取消核選
2.尚可參考US-CERT建議,停止瀏覽器自動開啟PDF檔,請參閱參考資料。
3.此弱點目前尚待廠商提供修補程式,請注意軟體的更新。
4.請勿開啟未受確認之電子郵件附件檔案。